precision mediump float;

varying highp vec2 textureCoordinate;

 uniform sampler2D inputImageTexture;
 uniform sampler2D inkMap;
 
 void main()
 {
     
     vec3 texel = texture2D(inputImageTexture, textureCoordinate).rgb;
     
     texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
     
     texel.r = texture2D(inkMap, vec2(texel.r, .16666)).r;
     texel.g = texture2D(inkMap, vec2(texel.g, .5)).g;
     texel.b = texture2D(inkMap, vec2(texel.b, .83333)).b;
     
     gl_FragColor = vec4(texel , 1.0);
 }