
uniform vec2 uAspectRatioPreview;
uniform mat4 uTransformM;
uniform mat4 uOrientationM;
attribute vec2 aPosition;

varying vec2 vCamTextureCoord;

void main() {
	gl_Position = vec4(aPosition, 0.0, 1.0);
	vec4 transPosition = vec4(aPosition, 0.0, 1.0);
	transPosition.x = (transPosition.x - 1.0) * uAspectRatioPreview.x + 1.0;
	transPosition.y = (transPosition.y - 1.0) * uAspectRatioPreview.y + 1.0;
	vCamTextureCoord = (uTransformM * ((uOrientationM * transPosition + 1.0) * 0.5)).xy;
//	vCamTextureCoord.x = vCamTextureCoord.x * uAspectRatioPreview.y;
//	vCamTextureCoord.y = vCamTextureCoord.y * uAspectRatioPreview.x;
}